net.sourceforge.pmd.ast

## Class SimpleNodeTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.ParserTst
  - - net.sourceforge.pmd.ast.SimpleNodeTest

    public class SimpleNodeTest
    extends ParserTst

### Constructor Summary

Constructors
Constructor and Description
`SimpleNodeTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testColumnsOnQualifiedName()`
`void` `testContainsChildOfType()`
`void` `testContainsNoInner()`
`void` `testContainsNoInnerWithAnonInner()`
`void` `testFindDescendantsOfType()`
`void` `testFindDescendantsOfTypeMultiple()`
`void` `testFindDescendantsOfTypeRecurse()`
`void` `testGetFirstChild()`
`void` `testGetFirstChildNested()`
`void` `testGetFirstChildNestedDeeper()`
`void` `testHasExplicitExtends()`
`void` `testHasExplicitImplements()`
`void` `testLineNumbersAreSetOnAllSiblings()`
`void` `testLineNumbersForNameSplitOverTwoLines()`
`void` `testMethodDiffLines()`
`void` `testMethodSameLine()`
`void` `testNoExplicitExtends()`
`void` `testNoExplicitImplements()`
`void` `testNoLookahead()`
`void` `testParentMethods()`
`void` `testUserData()`
`void` `testXPathNodeSelect()`

### Methods inherited from class net.sourceforge.pmd.testframework.ParserTst

`buildDFA, getNodes, getNodes, getOrderedNodes, parseJava, parseJava13, parseJava14, parseJava15, parseJava17`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleNodeTest

    public SimpleNodeTest()

### Method Detail

#### testMethodDiffLines

    public void testMethodDiffLines()
                             throws Throwable

Throws:
  `Throwable`

#### testMethodSameLine

    public void testMethodSameLine()
                            throws Throwable

Throws:
  `Throwable`

#### testNoLookahead

    public void testNoLookahead()
                         throws Throwable

Throws:
  `Throwable`

#### testHasExplicitExtends

    public void testHasExplicitExtends()
                                throws Throwable

Throws:
  `Throwable`

#### testNoExplicitExtends

    public void testNoExplicitExtends()
                               throws Throwable

Throws:
  `Throwable`

#### testHasExplicitImplements

    public void testHasExplicitImplements()
                                   throws Throwable

Throws:
  `Throwable`

#### testNoExplicitImplements

    public void testNoExplicitImplements()
                                  throws Throwable

Throws:
  `Throwable`

#### testColumnsOnQualifiedName

    public void testColumnsOnQualifiedName()
                                    throws Throwable

Throws:
  `Throwable`

#### testLineNumbersForNameSplitOverTwoLines

    public void testLineNumbersForNameSplitOverTwoLines()
                                                 throws Throwable

Throws:
  `Throwable`

#### testLineNumbersAreSetOnAllSiblings

    public void testLineNumbersAreSetOnAllSiblings()
                                            throws Throwable

Throws:
  `Throwable`

#### testFindDescendantsOfType

    public void testFindDescendantsOfType()

#### testFindDescendantsOfTypeMultiple

    public void testFindDescendantsOfTypeMultiple()

#### testFindDescendantsOfTypeRecurse

    public void testFindDescendantsOfTypeRecurse()

#### testGetFirstChild

    public void testGetFirstChild()

#### testGetFirstChildNested

    public void testGetFirstChildNested()

#### testGetFirstChildNestedDeeper

    public void testGetFirstChildNestedDeeper()

#### testParentMethods

    public void testParentMethods()
                           throws Throwable

Throws:
  `Throwable`

#### testContainsNoInner

    public void testContainsNoInner()
                             throws Throwable

Throws:
  `Throwable`

#### testContainsNoInnerWithAnonInner

    public void testContainsNoInnerWithAnonInner()
                                          throws Throwable

Throws:
  `Throwable`

#### testContainsChildOfType

    public void testContainsChildOfType()
                                 throws Throwable

Throws:
  `Throwable`

#### testXPathNodeSelect

    public void testXPathNodeSelect()
                             throws Throwable

Throws:
  `Throwable`

#### testUserData

    public void testUserData()
                      throws Throwable

Throws:
  `Throwable`

#### suite

    public static junit.framework.Test suite()